Skip to main content
POST
/
orders
/
{order_id}
/
payments
/
{payment_id}
/
authorize
Authorize Payment
curl --request POST \
  --url https://sandbox.flowwise.com/router/orders/{order_id}/payments/{payment_id}/authorize \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "action": "CAPTURE",
  "capture_amount": 2299.5
}
'
{
  "order_id": "order_summer_fashion_001",
  "payment_id": "pay_summer_fashion_001_cc",
  "status": "SUCCESS",
  "capture_status": "SUCCESS",
  "capture_amount": 2299.5,
  "payment_amount": 2299.5,
  "payment_currency": "INR",
  "payment_method": "card",
  "payment_message": "Payment captured successfully",
  "redirect_url": null,
  "gateway_details": {
    "auth_id": "AUTH_4345123456789",
    "processor_ref": "CC434512345678901234",
    "utr": "434512345678"
  }
}

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app ID in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Path Parameters

order_id
string
required

Unique identifier for the order.

Example:

"order_summer_fashion_001"

payment_id
string
required

Unique identifier for the payment transaction.

Example:

"pay_summer_fashion_001_upi"

Body

application/json

Request parameters to authorize payment.

action
enum<string>
required

Action to be performed on the authorised payment.

Available options:
CAPTURE,
VOID
Example:

"CAPTURE"

capture_amount
number
required

Amount to be captured from the authorised payment.

Example:

2299.5

Response

Success response for payment authorisation.

order_id
string

Unique identifier for the associated order.

Example:

"order_summer_fashion_001"

payment_id
string

Unique identifier for the payment transaction.

Example:

"pay_summer_fashion_001_cc"

status
string

Current status of the payment transaction.

Example:

"SUCCESS"

capture_status
string

Status of the payment capture process.

Example:

"SUCCESS"

capture_amount
number

Amount that has been captured from the payment.

Example:

2299.5

payment_amount
number

Total amount of the payment transaction.

Example:

2299.5

payment_currency
string

Currency code for the payment amount.

Example:

"INR"

payment_method
string

Payment method used for the transaction.

Example:

"card"

payment_message
string

Message describing the payment status or outcome.

Example:

"Payment captured successfully"

redirect_url
string

URL to redirect the customer if required.

Example:

null

gateway_details
object

Details from the payment gateway.